<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>AppAdmin</title>

    <style>
        .block {
            display: inline-block;
            vertical-align: text-top;
            margin: 20px;
        }

        td {
            padding: 2px 15px;
        }
    </style>
</head>
<body>
    <h1>Administrator</h1>
    <p>MVT - CRUD na kategorijama i proizvodima.</p>
    
    <div class="block">
        <h2>Categories</h2>

        <table border="1">
        {% for x in categories %}
            <tr>
                <td><a href="updatecat/{{ x.id }}">{{ x.id }}</a></td>
                <td>{{ x.cat }}</td>
                <td><a href="deletecat/{{ x.id }}">delete</a></td>
            </tr>
        {% endfor %}
        </table>

        <p><a href="addcat/">Add cat</a></p>
    </div>

    <div class="block">
        <h2>Articles</h2>

        <table border="1">
        {% for x in articles %}
            <tr>
                <td><a href="updateart/{{ x.id }}">{{ x.id }}</a></td>
                <td>{{ x.cat }}</td>
                <td>{{ x.art }}</td>
                <td>{{ x.price }}</td>
                <td><a href="deleteart/{{ x.id }}">delete</a></td>
            </tr>
        {% endfor %}
        </table>

        <p><a href="addart/">Add art</a></p>
    </div>
</body>
</html>